@import "src/assets/styles/media";
@import "src/assets/styles/mixins";
@import "src/assets/styles/variables";

.h {
  &1 {
    font-weight: 500;
    font-size: rem(20);
    line-height: rem(24);

    @include min-media('t') {
      font-size: rem(32);
      line-height: rem(44);
    }

    @include min-media('d') {
      font-size: rem(40);
    }
  }

  &2 {
    font-weight: 500;
    font-size: rem(18);
    line-height: rem(20);

    @include min-media('t') {
      font-size: rem(24);
      line-height: rem(44);
    }

    @include min-media('d') {
      font-size: rem(36);
    }
  }
}

.t {
  &1 {
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(19);

    @include min-media('t') {
      font-size: rem(20);
      line-height: rem(24);
    }

    @include min-media('d') {
      font-size: rem(24);
      line-height: rem(29);
    }
  }

  &2 {
    font-weight: 400;
    font-size: rem(14);
    line-height: rem(17);

    @include min-media('d') {
      font-size: rem(18);
      line-height: rem(22);
    }
  }

  &3 {
    font-weight: 500;
    font-size: rem(16);
    line-height: rem(17);

    @include min-media('t') {
      font-size: rem(20);
      line-height: rem(20);
    }

    @include min-media('d') {
      font-size: rem(24);
      line-height: rem(44);
    }
  }

  &4 {
    font-weight: 400;
    font-size: rem(13);
    line-height: rem(13);

    @include min-media('t') {
      font-size: rem(14);
      line-height: rem(17);
    }

    @include min-media('d') {
      font-size: rem(18);
      line-height: rem(27);
    }
  }

  &5 {
    font-weight: 600;
    font-size: rem(14);
    line-height: 150%;

    @include min-media('t') {
      font-size: rem(16);
    }
  }

  &6 {
    font-weight: 400;
    font-size: rem(12);
    line-height: rem(12);

    @include min-media('t') {
      line-height: rem(17);
    }

    @include min-media('d') {
      font-size: rem(14);
      line-height: rem(27);
    }
  }
}
